Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QFtp.Command

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QFtp.Command

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFtp

    public static final class QFtp.Command

extends java.lang.Enum
implements QtEnumerator

This enum is used as the return value for the `currentCommand()` function. This allows you to perform specific actions for particular commands, e.g. in a FTP client, you might want to clear the directory view when a `list()` command is started; in this case you can simply check in the slot connected to the start() signal if the `currentCommand()` is `List`.

See also:
  `currentCommand()`.

See Also:
  Serialized Form

Field Summary
`static QFtp.Command` | `Cd` `cd()` is being executed.
`static QFtp.Command` | `Close` `close()` is being executed.
`static QFtp.Command` | `ConnectToHost` `connectToHost()` is being executed.
`static QFtp.Command` | `Get` `get()` is being executed.
`static QFtp.Command` | `List` `list()` is being executed.
`static QFtp.Command` | `Login` `login()` is being executed.
`static QFtp.Command` | `Mkdir` `mkdir()` is being executed.
`static QFtp.Command` | `None` No command is being executed.
`static QFtp.Command` | `Put` `put()` is being executed.
`static QFtp.Command` | `RawCommand` `rawCommand()` is being executed.
`static QFtp.Command` | `Remove` `remove()` is being executed.
`static QFtp.Command` | `Rename` `rename()` is being executed.
`static QFtp.Command` | `Rmdir` `rmdir()` is being executed.
`static QFtp.Command` | `SetProxy` switch proxying on or off.
`static QFtp.Command` | `SetTransferMode` set the `transfer` mode.

Method Summary
`static QFtp.Command` | `resolve(int value)` Returns the QFtp$Command constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.Command` | `valueOf(java.lang.String name)`
`static QFtp.Command[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QFtp.Command None

  No command is being executed.

### SetTransferMode

    public static final QFtp.Command SetTransferMode

  set the `transfer` mode.

### SetProxy

    public static final QFtp.Command SetProxy

  switch proxying on or off.

### ConnectToHost

    public static final QFtp.Command ConnectToHost

  `connectToHost()` is being executed.

### Login

    public static final QFtp.Command Login

  `login()` is being executed.

### Close

    public static final QFtp.Command Close

  `close()` is being executed.

### List

    public static final QFtp.Command List

  `list()` is being executed.

### Cd

    public static final QFtp.Command Cd

  `cd()` is being executed.

### Get

    public static final QFtp.Command Get

  `get()` is being executed.

### Put

    public static final QFtp.Command Put

  `put()` is being executed.

### Remove

    public static final QFtp.Command Remove

  `remove()` is being executed.

### Mkdir

    public static final QFtp.Command Mkdir

  `mkdir()` is being executed.

### Rmdir

    public static final QFtp.Command Rmdir

  `rmdir()` is being executed.

### Rename

    public static final QFtp.Command Rename

  `rename()` is being executed.

### RawCommand

    public static final QFtp.Command RawCommand

  `rawCommand()` is being executed.

Method Detail

### values

    public static QFtp.Command[] values()

### valueOf

    public static QFtp.Command valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.Command resolve(int value)

  Returns the QFtp$Command constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD